@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Menuplan - Rediger
@endsection

@section("path")
    <a href="{{ route('menu-plans.edit', [ "menu_plan" => $menuplan ]) }}" class="text-white">Rediger Menuplan</a> /
@endsection

@section("content")
    <style>
         .toggle__label::before, .toggle__label::after {
             border-color: black;
         }
         .toggle__text::before {
             border-color: black;
         }

         #editor {
             margin-bottom: 1rem;
         }
    </style>
    <h1>Rediger Menuplan:</h1>
    <form method="post" action="{{ route("menu-plans.update", [ "menu_plan" => $menuplan ]) }}">
        @csrf
        @method("PUT")
        <label for="mandag">Uge:</label>
        <label hidden id="error" for="errormesseages">Menuplan findes allerede</label>
        <input type="number" name="week" id="week" min="1" max="53" value="{{ $menuplan->week }}" required>
        <label for="monday">Mandag:</label>
        <input type="text" name="monday" id="monday" placeholder="Hawaii Pizza" required value="{{ $menuplan->monday }}">
        <label for="tuesday">Tirsdag:</label>
        <input type="text" name="tuesday" id="tuesday" placeholder="Pasta Bolognese" required value="{{ $menuplan->tuesday }}">
        <label for="wednesday">Onsdag:</label>
        <input type="text" name="wednesday" id="wednesday" placeholder="Pandekager" required value="{{ $menuplan->wednesday }}">
        <label for="thursday">Torsdag:</label>
        <input type="text" name="thursday" id="thursday" placeholder="Bøf med løg" required value="{{ $menuplan->thursday }}">
        <label class="toggle">
            <input class="toggle__input" type="checkbox" name="newsoption">
            <span class="toggle__label">
                    <span class="toggle__text">Opret som nyhed</span>
                </span>
        </label>
        <input id="disable" type="submit" class="btn btn-dark text-white" value="Rediger Menuplan">
    </form>
@endsection
@section("scripts")
    <script>
        $(function() {
            $('form').areYouSure(
                {
                    message: 'It looks like you have been editing something. '
                        + 'If you leave before saving, your changes will be lost.'
                }
            );
        });

        //Dont delete me, if the user reloads the pages with text in the text-box this code runs.
        $(document).ready(function () {
            $value = $('#week').val();
            $.ajax({
                type: 'get',
                url: '{{route('menuplans.nameCheckUpdate')}}',
                data: {'nameCheck':$value, 'id':{{$menuplan->id}}},
                success:function (data) {
                    console.log(data);
                    if(data){
                        $("#error").show(100);
                        $("#error").css('color', 'red');
                        $("#disable").prop('disabled', true);
                        $('#disable').css('cursor','not-allowed');
                    }else{
                        $("#error").hide();
                        $("#disable").prop('disabled', false);
                        $('#disable').css('cursor','pointer');
                    }

                },
                error:function (data) {
                    console.log(data);
                }
            });
        });

        $('#week').on('keyup', function () {
            $value = $(this).val();
            $.ajax({
                type: 'get',
                url: '{{route('menuplans.nameCheckUpdate')}}',
                data: {'nameCheck':$value, 'id':{{$menuplan->id}}},
                success:function (data) {
                    if(data){
                        $("#error").show(100);
                        $("#error").css('color', 'red');
                        $("#disable").prop('disabled', true);
                        $('#disable').css('cursor','not-allowed');
                    }else{
                        $("#error").hide();
                        $("#disable").prop('disabled', false);
                        $('#disable').css('cursor','pointer');
                    }

                },
                error:function (data) {
                    console.log(data);
                }
            });
        })
    </script>
@endsection
